com.opensymphony.xwork2.ognl

## Class DefaultOgnlCacheFactory<Key,Value>

- java.lang.Object
- - com.opensymphony.xwork2.ognl.DefaultOgnlCacheFactory<Key,Value>

- Type Parameters:
    `Key` - The type for the cache key entries
    `Value` - The type for the cache value entries
  Direct Known Subclasses:
    DefaultOgnlBeanInfoCacheFactory, DefaultOgnlExpressionCacheFactory

      public class DefaultOgnlCacheFactory<Key,Value>
      extends Object

  Default OGNL Cache factory implementation. Currently used for Expression cache and BeanInfo cache creation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultOgnlCacheFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OgnlCache<Key,Value>` | `buildOgnlCache()`
    `OgnlCache<Key,Value>` | `buildOgnlCache(int evictionLimit, int initialCapacity, float loadFactor, boolean lruCache)`
    `int` | `getCacheMaxSize()`
    `boolean` | `getUseLRUCache()`
    `protected void` | `setCacheMaxSize(String maxSize)`
    `protected void` | `setUseLRUCache(String useLRUMode)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultOgnlCacheFactory

          public DefaultOgnlCacheFactory()

  - ### Method Detail

    - #### buildOgnlCache

          public OgnlCache<Key,Value> buildOgnlCache()

    - #### buildOgnlCache

          public OgnlCache<Key,Value> buildOgnlCache(int evictionLimit,
                                                     int initialCapacity,
                                                     float loadFactor,
                                                     boolean lruCache)

    - #### getCacheMaxSize

          public int getCacheMaxSize()

    - #### setCacheMaxSize

          protected void setCacheMaxSize(String maxSize)

    - #### getUseLRUCache

          public boolean getUseLRUCache()

    - #### setUseLRUCache

          protected void setUseLRUCache(String useLRUMode)

Copyright © 2000–2022 Apache Software Foundation. All rights reserved.